Subject: Re: bug#39659: 27.0.60; inappropriate han script definition in char-script-table

From: [email-masked]
Date: Thu, 20 Feb 2020 15:27:47 +0900

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: Kenichi Handa <[email-masked]>,  [email-masked]
>> Date: Wed, 19 Feb 2020 18:53:07 +0900
>> 
>> >> It is better to set values as:
>> >> 	3200-33FF	cjk-misc
>> >> 	4DC0-4DFF	cjk-misc
>> >> 	FE30-FE4F	cjk-misc
>> >> 	1F200-1F2FF	cjk-misc
>> >> 
>> >> If enclosed CJK Ideographs should be 'han' script,
>> >> enclosed Hanguls should be 'hangul' script,
>> >> enclosed Katakana should be 'kana' script,
>> >> and enclosed Numbers should be 'symbol' script.
>> >
>> > Please provide some rationale for the differences, just saying
>> > "better" and "should" doesn't explain why you think the changes are
>> > for the good.
>> >
>> > CC'ing Handa-san, who I hope will have some comments on this.
>> >
>> > Thanks.
>> 
>> Because they are not han characters.
>> I think that combinatorial characters are not han characters,
>> and that they are symbolic characters.
>
> So your interpretation of cjk-misc is that they are symbols, not
> letters?  I'm asking because I don't really know what is meant by
> "cjk-misc", I don't think we have it documented anywhere.

I guess the cjk-misc script means CJK related characters.
Block names in the Unicode Character Database are described as below.
(https://www.unicode.org/Public/UCD/latest/ucd/Blocks.txt)
	3000..303F; CJK Symbols and Punctuation
	31C0..31EF; CJK Strokes
	3200..32FF; Enclosed CJK Letters and Months
	3300..33FF; CJK Compatibility
	4DC0..4DFF; Yijing Hexagram Symbols
	FE30..FE4F; CJK Compatibility Forms
	1F200..1F2FF; Enclosed Ideographic Supplement

Yijing Hexagram Symbols(U+4DC0..U+4DFF) are chinese symbols related with
	2630-2637	TRIGRAM FOR *
	268A-268B	MONOGRAM FOR *
	268C-268F	DIGRAM FOR *
	1D300-1D35F	Tai Xuan Jing Symbols
The script symbol for "Yijing Hexagram Symbols" may be 'symbol or
'yijing-hexagram-symbol.